import path from 'path'
import fg from 'fast-glob'
import fs from 'fs-extra'

;(async() => {
  const files = await fg('./res/flags/*.svg')
  const flags = files.map(file => path.basename(file, '.svg'))
  const output = path.resolve('./src/utils/flags.ts')

  await fs.writeFile(output, `// Generated by npm run flags:build\nexport const FLAGS = [\n${flags.map(f => `  '${f}',\n`).join('')}]\n`, 'utf-8')
})()
